#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run botje with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='botje',
    version='36',
    url='https://pikacode.com/milla/botje',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='xmpp, irc, shell, cli, json - email at milla@dds.nl',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural", "feedparser", ],
    scripts=["bin/botje", "bin/outje", "bin/sedje", ],
    packages=['bot', 
              'bot.plugs',
             ],
    long_description = """ gods 1e regel is vrijheid - de rest daarna hamert op de gehoorzaamheid welke die vrijheid weg neemt. het verleden en zijn oordeel dient ook in die waarheid gezien te worden""",
    data_files=[('docs', ["docs/zoishet", "docs/lanes", "docs/story", "docs/fases"]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
